---
search:
  tags:
    - Product Drafts V2
    - GET
seo:
  description: >-
    Lists product drafts with pagination. Reference for the GET
    /api/v2/{team_slug}/{app_slug}/products/drafts endpoint in the Management
    API v2.
sidebar:
  label: List product drafts
  badge: GET
title: List product drafts
type: openapi-operation
---
Lists product drafts with pagination.

`GET /api/v2/{team_slug}/{app_slug}/products/drafts`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "changeset": {
        "name": "string",
        "description": "string",
        "html_description": "string",
        "short_description": "string",
        "html_short_description": "string",
        "meta_title": "string",
        "meta_description": "string",
        "categories": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "order": 0,
            "is_main_category": true
          }
        ],
        "collections": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "tags": [
          {
            "key": "string",
            "order": 0
          }
        ],
        "images": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "priority": 0
          }
        ],
        "attributes": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ]
      },
      "publish_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
